<?php
/**
* 例外スタックのエントリ
*
* PHP version 5
*
* @package    base
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class ExceptionStackEntry extends Object
{
	private $_e;
	private $_file;
	private $_line;

	/**
	 *	コンストラクタ
	 */
	public function __construct( Exception $e, $file, $line )
	{
		parent::__construct();

		$this->_e      = $e;
		$this->_file   = $file;
		$this->_line   = $line;
	}

	/**
	 *	例外を取得
	 */
	public function getException()
	{
		return $this->_e;
	}

	/**
	 *	ファイル名を取得
	 */
	public function getFile()
	{
		return $this->_file;
	}

	/**
	 *	行番号を取得
	 */
	public function getLine()
	{
		return $this->_line;
	}
}
return __FILE__;
